// *******************************************************************
// File    : StatusBarInfoPanel.cs 
// Author  : Igor Tolmachev
// Email   : info@itsamples.com
// Web     : www.itsamples.com 
// You are free to use/modify this code but leave this header intact.
// *******************************************************************

using System;
using System.ComponentModel;
using System.Drawing;
using System.Drawing.Drawing2D;
using System.Windows.Forms;

namespace ExifDataChanger
{
	public class StatusBarInfoPanel : StatusBarPanel
	{
		private static SolidBrush m_brSolid = new SolidBrush(SystemColors.ControlText);
		
		private Pen  m_penPaneLine = new Pen(SystemColors.ControlDark, 1);
		private Font m_fontPaneText = SystemInformation.MenuFont;

		public StatusBarInfoPanel() : base()
		{
			// Just to be safe
			this.Style = System.Windows.Forms.StatusBarPanelStyle.OwnerDraw;
			this.BorderStyle = System.Windows.Forms.StatusBarPanelBorderStyle.None;
		}

		public void ParentDrawItemHandler(object sender, StatusBarDrawItemEventArgs sbdevent)
		{
			if(sbdevent.Panel == this)
			{
				Rectangle rcBounds = sbdevent.Bounds;
				rcBounds.Height -= 1;
				rcBounds.Width -= 1;
				sbdevent.Graphics.DrawRectangle(m_penPaneLine, rcBounds);
				
				rcBounds.Inflate(-2,-2);
				sbdevent.Graphics.DrawString(this.Text, m_fontPaneText, m_brSolid, rcBounds);
			}
		}
		
		protected override void Dispose( bool disposing )
		{
			if(disposing)
			{
				m_penPaneLine.Dispose();
				m_fontPaneText.Dispose();
				m_brSolid.Dispose();
			}

			base.Dispose( disposing );
		}
	}
}
